Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 783738 - sys-apps/epoch-1.3.0: Port to EAPI-8, stabilise, then cleanup old
Summary: sys-apps/epoch-1.3.0: Port to EAPI-8, stabilise, then cleanup old
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alice Ferrazzi
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 809224
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2021-04-18 10:49 UTC by Andreas Sturmlechner
Modified: 2022-01-20 14:25 UTC (History)
0 users

See Also:
Package list:
sys-apps/epoch-1.3.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-04-18 10:49:44 UTC
It would be nice to stabilise newer versions once in a while.
Comment 1 Andreas Sturmlechner gentoo-dev 2021-06-20 07:36:32 UTC
ping
Comment 2 Andreas Sturmlechner gentoo-dev 2021-09-04 13:59:26 UTC
ping
Comment 3 Andreas Sturmlechner gentoo-dev 2021-11-06 23:58:49 UTC
ping
Comment 4 Alice Ferrazzi Gentoo Infrastructure gentoo-dev 2021-11-09 06:13:38 UTC
@asturm there are no newer versions... 
the project is frozen since 2015 
https://github.com/Subsentient/epoch
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-09 06:16:29 UTC
(In reply to Alice Ferrazzi from comment #4)
> @asturm there are no newer versions... 
> the project is frozen since 2015 
> https://github.com/Subsentient/epoch

The problem is that newer versions have not been stabled in Gentoo.

$ eshowkw epoch
Keywords for sys-apps/epoch:
      |                             |   u   |
      | a   a     p s   a   r       |   n   |
      | m   r h   p p   l i i m m s | e u s | r
      | d a m p p c a x p a s 6 i 3 | a s l | e
      | 6 r 6 p p 6 r 8 h 6 c 8 p 9 | p e o | p
      | 4 m 4 a c 4 c 6 a 4 v k s 0 | i d t | o
------+-----------------------------+-------+-------
1.2.1 | + + o o o o o + o o o o o o | 5 o 0 | gentoo
1.2.2 | ~ ~ o o o o o ~ o o o o o o | 5 #   | gentoo
1.3.0 | ~ ~ o o o o o ~ o o o o o o | 5 o   | gentoo
 9999 | o o o o o o o o o o o o o o | 5 o   | gentoo
Comment 6 Andreas Sturmlechner gentoo-dev 2021-11-09 17:55:32 UTC
Exactly.
Comment 7 Andreas Sturmlechner gentoo-dev 2021-12-26 15:31:47 UTC
ping
Comment 8 Larry the Git Cow gentoo-dev 2022-01-09 17:56:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e002634187209d67b09446904c111ce1e3780af

commit 0e002634187209d67b09446904c111ce1e3780af
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-01-09 16:37:23 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-01-09 17:56:00 +0000

    sys-apps/epoch: Drop 1.2.2
    
    Never got stabilised over 1.2.1 and overshadowed by 1.3.0.
    
    Bug: https://bugs.gentoo.org/783738
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sys-apps/epoch/Manifest           |  1 -
 sys-apps/epoch/epoch-1.2.2.ebuild | 73 ---------------------------------------
 2 files changed, 74 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34c87461e60d34f97cd40b297065dcf612929ae7

commit 34c87461e60d34f97cd40b297065dcf612929ae7
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-01-09 16:34:09 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-01-09 17:55:51 +0000

    sys-apps/epoch: EAPI-8 bump, fix postinst contact info
    
    Bug: https://bugs.gentoo.org/783738
    Closes: https://bugs.gentoo.org/809224
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sys-apps/epoch/epoch-1.3.0.ebuild               | 30 +++++++++++--------------
 sys-apps/epoch/epoch-9999.ebuild                | 26 +++++++++------------
 sys-apps/epoch/files/epoch-1.3.0-fix-main.patch |  4 ++--
 3 files changed, 26 insertions(+), 34 deletions(-)
Comment 9 Arthur Zamarin archtester gentoo-dev 2022-01-14 18:57:37 UTC
arm done
Comment 10 Jakov Smolić archtester gentoo-dev 2022-01-16 17:26:16 UTC
x86 done
Comment 11 Jakov Smolić archtester gentoo-dev 2022-01-16 17:26:33 UTC
amd64 done

all arches done
Comment 12 Larry the Git Cow gentoo-dev 2022-01-20 14:25:47 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=910d2e3701f7911de4d3ba97cf73bd09a0b668d7

commit 910d2e3701f7911de4d3ba97cf73bd09a0b668d7
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-01-20 14:24:52 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-01-20 14:25:38 +0000

    sys-apps/epoch: Drop 1.2.1
    
    Closes: https://bugs.gentoo.org/783738
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sys-apps/epoch/Manifest           |  1 -
 sys-apps/epoch/epoch-1.2.1.ebuild | 73 ---------------------------------------
 2 files changed, 74 deletions(-)